#include<bits/stdc++.h>
using namespace std;
#define fr(x) freopen(x".in","r",stdin),freopen(x".out","w",stdout)
#define IO ios::sync_with_stdio(0)
#define ll long long
inline void rd(int &x){
	x=0;
	bool f=0;
	char ch=getchar();
	while(ch<'0'||ch>'9'){
		if(ch=='-')f=1;
		ch=getchar();
	}
	while(ch>='0'&&ch<='9'){
		x=x*10+ch-'0';
		ch=getchar();
	}
	if(f)x=-x;
}


int main(){
	//fr("meow");
	rd(T);
	while(T--){
		rd(n),rd(m),rd(k);
		for(int i=1;i<=n;++i){
			rd(a[i]);
		}
	}
	return 0;
}